org.apache.cxf.service.invoker

## Class FactoryInvoker

- java.lang.Object
- - org.apache.cxf.service.invoker.AbstractInvoker
  - - org.apache.cxf.service.invoker.FactoryInvoker

- All Implemented Interfaces:
    Invoker

      public class FactoryInvoker
      extends AbstractInvoker

  This invoker implementation calls a Factory to create the service object.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Factory` | `factory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactoryInvoker()`
    `FactoryInvoker(Factory factory)` Create a FactoryInvoker object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getServiceObject(Exchange ex)` Creates and returns a service object depending on the scope.
    `boolean` | `isSingletonFactory()`
    `void` | `releaseServiceObject(Exchange ex, Object obj)` Called when the invoker is done with the object.
    `void` | `setFactory(Factory f)`

    - ### Methods inherited from class org.apache.cxf.service.invoker.AbstractInvoker

      `adjustMethodAndParams, checkSuspendedInvocation, createFault, getMostSpecificMethod, insertExchange, invoke, invoke, isJdkDynamicProxy, performInvocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### factory

          protected Factory factory

  - ### Constructor Detail

    - #### FactoryInvoker

          public FactoryInvoker(Factory factory)

      Create a FactoryInvoker object.
      Parameters:
        `factory` - the factory used to create service object.

    - #### FactoryInvoker

          public FactoryInvoker()

  - ### Method Detail

    - #### setFactory

          public void setFactory(Factory f)

    - #### getServiceObject

          public Object getServiceObject(Exchange ex)

      Description copied from class: `AbstractInvoker`
      Creates and returns a service object depending on the scope.
      Specified by:
        `getServiceObject` in class `AbstractInvoker`

    - #### releaseServiceObject

          public void releaseServiceObject(Exchange ex,
                                           Object obj)

      Description copied from class: `AbstractInvoker`
      Called when the invoker is done with the object. Default implementation does nothing.
      Overrides:
        `releaseServiceObject` in class `AbstractInvoker`

    - #### isSingletonFactory

          public boolean isSingletonFactory()

Apache CXF